CVE-2005-0508
CVSS4.6
发布时间 :2005-03-14 00:00:00
修订时间 :2008-09-10 15:36:05
NMCO    

[原文]Unknown vulnerability in Squiggle for Batik before 1.5.1 allows attackers to bypass certain access controls via certain features of the Rhino scripting engine due to a "script security issue."


[CNNVD]Batik 'Squiggle'访问控制绕过漏洞(CNNVD-200503-095)

        Batik 1.5.1之前版本的Squiggle中存在未知漏洞,远程攻击者可以通过出于"脚本安全问题"造成的Rhino脚本引擎的特定功能,绕过部分访问控制。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0508
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0508
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200503-095
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/12619
(VENDOR_ADVISORY)  BID  12619
http://secunia.com/advisories/14336
(VENDOR_ADVISORY)  SECUNIA  14336
http://xml.apache.org/batik/#SecurityWarning
(UNKNOWN)  CONFIRM  http://xml.apache.org/batik/#SecurityWarning

- 漏洞信息

Batik 'Squiggle'访问控制绕过漏洞
中危 未知
2005-03-14 00:00:00 2005-10-20 00:00:00
本地  
        Batik 1.5.1之前版本的Squiggle中存在未知漏洞,远程攻击者可以通过出于"脚本安全问题"造成的Rhino脚本引擎的特定功能,绕过部分访问控制。

- 公告与补丁

        

- 漏洞信息

14044
Apache Batik Squiggle Browser with Rhino Scripting Engine Unspecified File System Access

- 漏洞描述

- 时间线

2005-02-22 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.5.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站